import { QuizQuestionNumber } from "@model/questionTypes/number";
import HelpQuestions from "../helpQuestions";
import SettingSlider from "./settingSlider";


interface Props {
    switchState: string;
    question: QuizQuestionNumber;
}

export default function SwitchSlider({
    switchState = "setting",
    question,
}: Props) {
    switch (switchState) {
        case "setting":
            return <SettingSlider question={question} />;
        case "help":
            return <HelpQuestions question={question} />;
        default:
            return <></>;
    }
}
